## org.apache.poi.hpsf
Class HPSFRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IllegalPropertySetDataException, NoSingleSectionException

public class HPSFRuntimeException
extends java.lang.RuntimeException

This exception is the superclass of all other unchecked exceptions thrown in this package. It supports a nested "reason" throwable, i.e. an exception that caused this one to be thrown.

Since:
  2002-02-09
Version:
  $Id: HPSFRuntimeException.java,v 1.6.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)
See Also:
  Serialized Form

Constructor Summary
`HPSFRuntimeException()` Creates a new `HPSFRuntimeException`.
`HPSFRuntimeException(java.lang.String msg)` Creates a new `HPSFRuntimeException` with a message string.
`HPSFRuntimeException(java.lang.String msg, java.lang.Throwable reason)` Creates a new `HPSFRuntimeException` with a message string and a reason.
`HPSFRuntimeException(java.lang.Throwable reason)` Creates a new `HPSFRuntimeException` with a reason.

Method Summary
`java.lang.Throwable` `getReason()` Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HPSFRuntimeException

    public HPSFRuntimeException()

  Creates a new `HPSFRuntimeException`.

### HPSFRuntimeException

    public HPSFRuntimeException(java.lang.String msg)

  Creates a new `HPSFRuntimeException` with a message string.

Parameters:
  `msg` - The message string.

### HPSFRuntimeException

    public HPSFRuntimeException(java.lang.Throwable reason)

  Creates a new `HPSFRuntimeException` with a reason.

Parameters:
  `reason` - The reason, i.e. a throwable that indirectly caused this exception.

### HPSFRuntimeException

    public HPSFRuntimeException(java.lang.String msg,
                                java.lang.Throwable reason)

  Creates a new `HPSFRuntimeException` with a message string and a reason.

Parameters:
  `msg` - The message string.
  `reason` - The reason, i.e. a throwable that indirectly caused this exception.

Method Detail

### getReason

    public java.lang.Throwable getReason()

  Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

  Returns:
    The reason

Copyright © 2003 Apache Software Foundation.